# Interface ComponentActionInterface<L>

#### Type Parameters

- #### L

#### Hierarchy

- ComponentActionInterface

- Defined in src/RcsbFvStructure/StructureUtils/ComponentActionInterface.ts:7

#####
Index

### Methods

accept

## Methods

### accept

- accept(x, context?): void

- #### Parameters

  - ##### x: L

  - ##### `Optional` context: {
    entityId: string;
    entryId: string;
    } | {
    entryId: string;
    instanceId: string;
    }

  #### Returns void

  - Defined in src/RcsbFvStructure/StructureUtils/ComponentActionInterface.ts:9

Generated using TypeDoc